org.jfree.data.xy

## Interface YisSymbolic

    public interface YisSymbolic

Represent a data set where Y is a symbolic values. Each symbolic value is linked with an Integer.

### Method Summary

Methods
`java.lang.String` `getYSymbolicValue(java.lang.Integer val)` Returns the symbolic value linked with the specified `Integer`.
`java.lang.String` `getYSymbolicValue(int series, int item)` Returns the symbolic value of the data set specified by `series` and `item` parameters.
`java.lang.String[]` `getYSymbolicValues()` Returns the list of symbolic values.

### Method Detail

#### getYSymbolicValues

    java.lang.String[] getYSymbolicValues()

Returns the list of symbolic values.

Returns:
  The symbolic values.

#### getYSymbolicValue

    java.lang.String getYSymbolicValue(int series,
                                     int item)

Returns the symbolic value of the data set specified by `series` and `item` parameters.

Parameters:
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  The symbolic value.

#### getYSymbolicValue

    java.lang.String getYSymbolicValue(java.lang.Integer val)

Returns the symbolic value linked with the specified `Integer`.

Parameters:
  `val` - value of the integer linked with the symbolic value.
Returns:
  The symbolic value.